=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	-cp build/autoconf/config.sub build/autoconf/config.sub.save
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/autoconf/config.sub
endif
	-cp build/autoconf/config.guess build/autoconf/config.guess.save
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/autoconf/config.guess
endif
	# Add here commands to configure the package.
	$(SHELL) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS=" -Wl,-z,defs" --enable-bsdcpio=shared --enable-bsdtar=shared --without-openssl

update-patch-series:
	git rm -rf $(CURDIR)/debian/patches || true
	mkdir -p $(CURDIR)/debian/patches
	git format-patch -o $(CURDIR)/debian/patches patches ^upstream | \
                xargs -r -n 1 basename > $(CURDIR)/debian/patches/series
	git add $(CURDIR)/debian/patches/*

build-indep:
build-arch: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	-$(MAKE) check

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	if test -f config.status ; then $(MAKE) distclean ; fi

	-mv build/autoconf/config.guess.save build/autoconf/config.guess
	-mv build/autoconf/config.sub.save build/autoconf/config.sub

	dh_clean 

install: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# install so.1 backwards compat symlink and lintian override.
	ln -s libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
	install -d debian/tmp/usr/share/lintian/overrides/
	install -m 0644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/libarchive1
	# clean libarchive.la to avoid unneccesary libarchive-dev deps.
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/libarchive.la

binary-indep: 

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs  -a NEWS
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a --autodest
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -plibarchive-dev libarchive/*.[0-4,7-9]*
	dh_installman -plibarchive1 libarchive/*.5*
	dh_installman -pbsdtar tar/*.[1-9]
	dh_installman -pbsdcpio cpio/*.[1-9]
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
build: build-indep build-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install update-patch-series
