=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 5.0.0),
               autotools-dev,
               libbz2-dev,
               liblzma-dev,
               libxml2-dev,
               zlib1g-dev,
               libacl1-dev,
               e2fslibs-dev,
               libattr1-dev,
               bison,
               libtool,
               sharutils
Standards-Version: 3.8.4
Section: libs
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-libarchive.git
Vcs-Git: git://git.debian.org/collab-maint/pkg-libarchive.git
Homepage: http://code.google.com/p/libarchive/

Package: libarchive-dev
Section: libdevel
Architecture: any
Conflicts: libarchive-doc
Depends: ${shlibs:Depends}, ${misc:Depends}, libbz2-dev, zlib1g-dev, libacl1-dev, e2fslibs-dev, libarchive1 (= ${binary:Version}), libattr1-dev
Description: Single library to read/write tar, cpio, pax, zip, iso9660, etc.
 The libarchive library provides a flexible interface for reading and
 writing streaming archive files such as tar and cpio.  The library is
 inherently stream-oriented; readers serially iterate through the archive,
 writers serially add things to the archive.  In particular, note that
 there is no built-in support for random access nor for in-place
 modification.
 .
 libarchive can read at least five tar formats, four cpio formats,
 ISO9660 CD/DVD images (including RockRidge extensions), and ZIP
 files.
 .
 libarchive can write two tar formats (ustar and pax), one cpio format
 (odc/POSIX), and two types of shar files (with and without uuencoding).
 .
 The bsdtar Debian package, which is the default tar(1) on FreeBSD,
 is built using libarchive.  The bsdcpio Debian package is also built
 using libarchive.
 .
 There is also a manpage, tar(5), in libarchive1 that provides
 an excellent description of the various tar file formats.

Package: libarchive1
Section: libs
Architecture: any
Conflicts: libarchive-doc, libarchive2
Replaces: libarchive2
Provides: libarchive2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single library to read/write tar, cpio, pax, zip, iso9660, etc.
 The libarchive library provides a flexible interface for reading and
 writing streaming archive files such as tar and cpio.  The library is
 inherently stream-oriented; readers serially iterate through the archive,
 writers serially add things to the archive.  In particular, note that
 there is no built-in support for random access nor for in-place
 modification.
 .
 libarchive can read at least five tar formats, four cpio formats,
 ISO9660 CD/DVD images (including RockRidge extensions), and ZIP
 files.
 .
 libarchive can write two tar formats (ustar and pax), one cpio format
 (odc/POSIX), and two types of shar files (with and without uuencoding).
 .
 The bsdtar Debian package, which is the default tar(1) on FreeBSD,
 is built using libarchive. 
 .
 There is also a manpage, tar(5), that provides an excellent description
 of the various tar file formats.

Package: bsdtar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdcpio
Description: tar(1) from FreeBSD, using libarchive
 The bsdtar program has a number of advantages over previous tar
 implementations:
 .
  * Library. Since the core functionality is in a library, it can be
    used by other tools, such as pkg_add.
 .
  * Automatic format detection. Libarchive automatically detects the
    compression (none/gzip/bzip2) and format (old tar, ustar, gnutar,
    pax, cpio, iso9660, zip) when reading archives. It does this for
    any data source.
 .
  * Pax Interchange Format Support. This is a POSIX/SUSv3 extension to
    the old "ustar" tar format that adds arbitrary extended attributes
    to each entry. Does everything that GNU tar format does, only
    better.
 .
  * Handles file flags, ACLs, arbitrary pathnames, etc. Pax interchange
    format supports key/value attributes using an easily-extensible
    technique. Arbitrary pathnames, group names, user names, file sizes
    are part of the POSIX standard; libarchive extends this with
    support for file flags, ACLs, and arbitrary device numbers.
 .
  * GNU tar support. Libarchive reads most GNU tar archives. If there
    is demand, this can be improved further.

Package: bsdcpio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdtar
Description: cpio(1) from FreeBSD, using libarchive
 This package provides an interface similar to cpio(1), but using
 libarchive as the backend for the archiving and extraction of data.
 It can read CPIO, tar, pax, zip, jar, ar, and ISO9660 images and provides
 similar features to the bsdtar package.  Features include:
 .
  * Automatic format detection. Libarchive automatically detects the
    compression (none/gzip/bzip2) and format (old tar, ustar, gnutar,
    pax, cpio, iso9660, zip) when reading archives. It does this for
    any data source.
 .
  * Pax Interchange Format Support. This is a POSIX/SUSv3 extension to
    the old "ustar" tar format that adds arbitrary extended attributes
    to each entry. Does everything that GNU tar format does, only
    better.
 .
  * Handles file flags, ACLs, arbitrary pathnames, etc. Pax interchange
    format supports key/value attributes using an easily-extensible
    technique. Arbitrary pathnames, group names, user names, file sizes
    are part of the POSIX standard; libarchive extends this with
    support for file flags, ACLs, and arbitrary device numbers.
 .
  * GNU tar support. Libarchive reads most GNU tar archives. If there
    is demand, this can be improved further.
