=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libarchive
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Henriksson <andreas@fatal.se>
+Maintainer: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 5.0.0),
                autotools-dev,
                libbz2-dev,
