=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
 	if test -f config.status ; then $(MAKE) distclean ; fi
@@ -76,24 +76,24 @@
 	-mv build/autoconf/config.guess.save build/autoconf/config.guess
 	-mv build/autoconf/config.sub.save build/autoconf/config.sub
 
-	dh_clean
+	dh_clean 
 
 install: build-arch
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_clean -k 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	# install so.1 backwards compat symlink and lintian override.
-	#ln -s -T libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
+	ln -s -T libarchive.so.2 debian/tmp/usr/lib/libarchive.so.1
 	install -d debian/tmp/usr/share/lintian/overrides/
 	install -m 0644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/libarchive1
 	# clean libarchive.la to avoid unneccesary libarchive-dev deps.
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/libarchive.la
 
-binary-indep:
+binary-indep: 
 
 # Build architecture-dependent files here.
 binary-arch: install
@@ -104,7 +104,7 @@
 	dh_installexamples -a
 	dh_install -a --autodest
 #	dh_installmenu
-#	dh_installdebconf
+#	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
