=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Debian Libarchive Maintainers <ah-libarchive@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               libbz2-dev,
               liblzma-dev,
               libxml2-dev,
               zlib1g-dev,
               libacl1-dev [!hurd-any],
               e2fslibs-dev,
               libattr1-dev,
               sharutils
Standards-Version: 3.9.2
Section: libs
Homepage: http://code.google.com/p/libarchive/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libarchive.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libarchive.git

Package: libarchive-dev
Section: libdevel
Architecture: any
Depends: libarchive1 (= ${binary:Version}), ${misc:Depends}
Replaces: libarchive1 (<< 2.8.5-3)
Breaks: libarchive1 (<< 2.8.5-3)
Description: Multi-format archive and compression library (development files)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive. In
 particular, note that there is currently no built-in support for random access
 nor for in-place modification.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * ISO9660 (read only, including Joliet and Rockridge extensions, with some
      limitations; write support starting with libarchive 2.9)
    * Zip (read only, with some limitations, uses zlib; write support starting
      with libarchive 2.8)
    * mtree (read and write, uses OpenSSL libraries for creating and verifying
      cryptographic hashes)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only, starting in libarchive 2.8)
    * xar (read only, starting in libarchive 2.8)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * lzma (if you lack liblzma, you can get read-only lzma support through the
      lzmadec library; this will likely be dropped as soon as liblzma is stable
      and widely-available)
    * Starting with libarchive 2.7, most of the above will fall back to using
      command-line tools if the libraries were unavailable at build time. Note
      that the command-line tools are usually slower than using the libraries
      directly.
 .
 This package provides the files necessary for development with libarchive.

Package: libarchive1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-format archive and compression library (shared library)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive. In
 particular, note that there is currently no built-in support for random access
 nor for in-place modification.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * ISO9660 (read only, including Joliet and Rockridge extensions, with some
      limitations; write support starting with libarchive 2.9)
    * Zip (read only, with some limitations, uses zlib; write support starting
      with libarchive 2.8)
    * mtree (read and write, uses OpenSSL libraries for creating and verifying
      cryptographic hashes)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only, starting in libarchive 2.8)
    * xar (read only, starting in libarchive 2.8)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * lzma (if you lack liblzma, you can get read-only lzma support through the
      lzmadec library; this will likely be dropped as soon as liblzma is stable
      and widely-available)
    * Starting with libarchive 2.7, most of the above will fall back to using
      command-line tools if the libraries were unavailable at build time. Note
      that the command-line tools are usually slower than using the libraries
      directly.
 .
 This package provides the libarchive shared library.

Package: bsdtar
Architecture: any
Depends: libarchive1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdcpio
Description: Implementation of the 'tar' program from FreeBSD
 The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
 uses the libarchive library as a backend which does all of the work for reading
 and writing archives in various formats in stream-oriented fashion.

Package: bsdcpio
Architecture: any
Depends: libarchive1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdtar
Description: Implementation of the 'cpio' program from FreeBSD
 The bsdcpio program is the default system 'tar' program used on FreeBSD.
 bsdcpio uses the libarchive library as a backend which does all of the work for
 reading and writing archives in various formats in stream-oriented fashion.
